# Generated by Django 4.2.7 on 2024-08-16 08:46

import django.core.serializers.json
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="ShowValue",
            fields=[
                (
                    "cmsplugin_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        related_name="%(app_label)s_%(class)s",
                        serialize=False,
                        to="cms.cmsplugin",
                    ),
                ),
                (
                    "source",
                    models.URLField(
                        help_text="The URL of the source JSON data. Downloaded data is cached for the time set in settings."
                    ),
                ),
                (
                    "query",
                    models.CharField(help_text="Query to JSON value.", max_length=255),
                ),
                (
                    "fetcher",
                    models.CharField(
                        choices=[("first", "first"), ("all", "all"), ("text", "text")],
                        default="first",
                        help_text="Functions to get the query result.",
                        max_length=5,
                    ),
                ),
                (
                    "wrapper",
                    models.CharField(
                        blank=True,
                        help_text='Wrap the value into the string. E.g. "&lt;table&gt;{}&lt;/table&gt;"',
                        max_length=255,
                        null=True,
                    ),
                ),
                (
                    "mark_safe",
                    models.BooleanField(
                        default=False,
                        help_text="Allow the use of HTML. Caution! Use only with a trusted source.",
                    ),
                ),
                (
                    "localize",
                    models.BooleanField(
                        default=False,
                        help_text="Localize the value. Applies to numbers only.",
                    ),
                ),
                (
                    "attributes",
                    models.JSONField(
                        blank=True,
                        encoder=django.core.serializers.json.DjangoJSONEncoder,
                        help_text='Tag attributes as JSON data. E.g. {"class": "my-value current", "id": 42}',
                        null=True,
                    ),
                ),
            ],
            options={"abstract": False},
            bases=("cms.cmsplugin",),
        )
    ]
